// creator  : weidu.exe (version 23100)
// argument : KALAH.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~KALAH~

IF ~InParty("Aerie")
!StateCheck("Aerie",STATE_SLEEPING)
!Dead("KalahIllusion")
~ THEN BEGIN 0 // from:
  SAY #20296 /* ~Ah, my beast, you have led them here nicely...~ [KALAH02] */
  IF ~~ THEN DO ~TriggerActivation("TRAN0605",FALSE)
TriggerActivation("ILLUSIONDOOR",TRUE)~ EXTERN ~AERIEJ~ 1
END

IF ~~ THEN BEGIN 1 // from:
  SAY #20298 /* ~Hahaha... you're not what? You're not my beast? Oh, but you are, all of you are, don't you see?~ [KALAH08] */
  IF ~~ THEN EXTERN ~AERIEJ~ 2
END

IF ~~ THEN BEGIN 2 // from:
  SAY #20300 /* ~Yes, it's a regular three-ring circus, isn't it, my beasts... Now go ahead and tear each other apart!~ [KALAH09] */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~!InParty("Aerie")
!Dead("KalahIllusion")
~ THEN BEGIN 3 // from:
  SAY #20301 /* ~Well done, my friend! Truly, I doubted that you would survive to meet me. Welcome to my domain. I regret that my hospitality will result in your deaths.~ [KALAH03] */
  IF ~~ THEN DO ~TriggerActivation("TRAN0605",FALSE)
TriggerActivation("ILLUSIONDOOR",TRUE)~ GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #20302 /* ~At them, my shadows! If they be fools my other beasts shall strike them down. If not, the task shall fall to you, my shades. The circus now truly begins!~ [KALAH10] */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END
